Page MenuHomePhabricator

Deploy usage tracking to enwiki + s2 wikis
Closed, ResolvedPublic

Description

We would like to deploy usage tracking for enwiki + s2 wikis (bgwiki, cswiki, eowiki, fiwiki, idwiki, nowiki, plwiki, ptwiki, svwiki, thwiki, trwiki, zhwiki) on August 3. (moved from July 28 so we get https://gerrit.wikimedia.org/r/#/c/222463/ in first)

this is a necessary step before enabling arbitrary access. More about arbitrary access:

https://www.wikidata.org/wiki/Wikidata:Arbitrary_access

Event Timeline

aude created this task.May 29 2015, 12:32 PM
aude claimed this task.
aude raised the priority of this task from to Normal.
aude updated the task description. (Show Details)
aude added projects: Notice, Wikidata, Roadmap.
aude added subscribers: Aklapper, aude.
aude moved this task from Unscheduled to Not soon on the Roadmap board.May 29 2015, 12:41 PM
gpaumier moved this task from Backlog to Archive on the Notice board.May 29 2015, 8:21 PM
Jdforrester-WMF moved this task from Not soon to August 2015 on the Roadmap board.Jun 11 2015, 4:17 PM
Jdforrester-WMF moved this task from August 2015 to July 2015 on the Roadmap board.
aude added a comment.Jun 12 2015, 10:08 AM

given experience of how long the scripts take to run on larger wikis, I think this is too much to do in one day.

I would like to split up the task and deploy usage tracking to bgwiki, eowiki, fiwiki, idwiki, nowiki and plwiki next week. (probably Wednesday, June 17)

we are also deploying usage tracking to cswiki on Tuesday, on request of their community to have arbitrary access sooner.

Change 218881 had a related patch set uploaded (by Aude):
Enable Wikibase usage tracking on bgwiki and eowiki

https://gerrit.wikimedia.org/r/218881

Change 218881 merged by jenkins-bot:
Enable Wikibase usage tracking on bgwiki and eowiki

https://gerrit.wikimedia.org/r/218881

Change 218892 had a related patch set uploaded (by Aude):
Enable Wikibase usage tracking on fiwiki and idwiki

https://gerrit.wikimedia.org/r/218892

Change 218892 merged by jenkins-bot:
Enable Wikibase usage tracking on fiwiki and idwiki

https://gerrit.wikimedia.org/r/218892

Change 218896 had a related patch set uploaded (by Aude):
Enable Wikibase usage tracking on nowiki and plwiki

https://gerrit.wikimedia.org/r/218896

Change 218896 merged by jenkins-bot:
Enable Wikibase usage tracking on nowiki and plwiki

https://gerrit.wikimedia.org/r/218896

gpaumier set Security to None.
greg added a subscriber: greg.Jul 20 2015, 7:03 PM

This is coming next week, go ahead and pick a window on the 28th for this and add it to the calendar, https://wikitech.wikimedia.org/wiki/Deployments#Week_of_July_27th Thanks!

aude updated the task description. (Show Details)Jul 28 2015, 7:03 PM
aude updated the task description. (Show Details)
aude added a comment.Jul 29 2015, 9:07 PM

i had some trouble with backporting https://gerrit.wikimedia.org/r/#/c/222463/ to the version of Wikibase code deployed on the wikipedias.

(wmf/1.26wmf13 branch of Wikidata + wmf/1.26wmf15 core)

the backports are in wmf/1.26wmf16 which is now deployed on non-wikipedias and I don't see any problems. Wikipedia gets the code tomorrow. Then I suggest to deploy usage tracking on monday.

aude updated the task description. (Show Details)Jul 29 2015, 9:08 PM

i did deploy usage tracking to ptwiki and azbwiki

What about zhwiki

aude added a comment.Jul 30 2015, 1:18 AM

@Bugreporter zhwiki should get usage tracking on Monday, along with svwiki, thwiki, trwiki and enwiki.

Change 228883 had a related patch set uploaded (by Aude):
Enable usage tracking on enwiki

https://gerrit.wikimedia.org/r/228883

Change 228883 merged by jenkins-bot:
Enable usage tracking on enwiki

https://gerrit.wikimedia.org/r/228883

aude closed this task as Resolved.Aug 10 2015, 9:12 PM
aude removed a project: Patch-For-Review.
aude moved this task from Backlog to Done on the Wikidata-Sprint-2015-06-30 board.